# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if "%{?rhel}" == "6"
%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif
%else
%bcond_with repolib
%endif

%define reltag .GA_redhat_2
%define namedreltag .GA-redhat-2
%global namedversion %{version}%{?namedreltag}

%define jarname jboss-jaxb-intros

%define section free

%define maven_version 1.0.2.GA-redhat-2

Name:           jaxbintros
Version:        1.0.2
Release:        11%{?reltag}%{?dist}.3
Epoch:          0
Summary:        JAXB introduction
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss.jaxbintros-jboss-jaxb-intros-1.0.2.GA-redhat-2-sources.zip
Source101: jboss.jaxbintros-jboss-jaxb-intros-1.0.2.GA-redhat-2-patches.zip
Source102: jboss-jaxb-intros-1.0.2.GA-redhat-2-javadoc.jar
Source103: jboss-jaxb-intros-1.0.2.GA-redhat-2.pom
Source104: jboss-jaxb-intros-1.0.2.GA-redhat-2-sources.jar
Source105: jboss-jaxb-intros-1.0.2.GA-redhat-2.jar
%endif

URL:            http://wiki.jboss.org/wiki/JAXBIntroductions
%if %without mead
svn -q export -r 14425 http://anonsvn.jboss.org/repos/jbossws/projects/jaxbintros/tags/1.0.2.GA jaxbintros-1.0.2.GA && tar cjf jaxbintros-1.0.2.GA.tar.bz2 jaxbintros-1.0.2.GA
Source0:        %{name}-%{version}.GA.tar.bz2
%endif
Patch0:         jaxbintros-vman-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       commons-beanutils
Requires:       slf4j
Requires:       glassfish-jaxb
Requires:       jpackage-utils
%if %without mead
BuildRequires:  jboss-parent
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-release
BuildRequires:  maven-release-plugin
BuildRequires:  maven-enforcer-rule-api
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  commons-beanutils
BuildRequires:  slf4j
BuildRequires:  glassfish-jaxb
BuildRequires:  junit4
BuildRequires:  jvnet-parent
BuildRequires:  jboss-jaxb-api_2.2_spec
BuildRequires:  sun-istack-commons
BuildRequires:  sun-txw2
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JAXB introduction.

%if %without mead
%package javadoc
Summary:        Javadoc for jboss-jaxb-intros
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n jaxbintros-%{version}.GA
%patch0 -p1 -b .sav0
%endif

%build
%if %without mead
export LC_ALL=en_US.UTF8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M -Dproject.build.sourceEncoding=UTF8"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmaven.test.skip=true deploy javadoc:aggregate
%endif

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without mead
%{__cp} -p target/jboss-jaxb-intros-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxb-intros-%{namedversion}.jar
%{__cp} -p target/jboss-jaxb-intros-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxb-intros-%{namedversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{jarname}-%{namedversion}.jar %{buildroot}%{_javadir}/%{jarname}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{jarname}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{jarname}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# pom
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-jboss-jaxb-intros.pom
%else
%{__cp} -p %{_sourcedir}/%{jarname}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-jboss-jaxb-intros.pom
%endif
%add_to_maven_depmap jboss.jaxbintros jboss-jaxb-intros %{namedversion} JPP jboss-jaxb-intros
[ -f %{buildroot}%{_mavendepmapfragdir}/jboss-jaxb-intros ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-jaxb-intros

# javadoc
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxb-intros-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jboss-jaxb-intros-%{namedversion}
ln -s jboss-jaxb-intros-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxb-intros
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-jaxb-intros-%{namedversion}.jar
%{_javadir}*/jboss-jaxb-intros.jar
%{_javadir}*/jboss-jaxb-intros-%{namedversion}-sources.jar
%{_javadir}*/jboss-jaxb-intros-sources.jar
%{_mavenpomdir}/JPP-jboss-jaxb-intros.pom
%{_mavendepmapfragdir}/jboss-jaxb-intros

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxb-intros-%{namedversion}
%{_javadocdir}/jboss-jaxb-intros
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-11.GA_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.2-10.GA_redhat_2.3
- Update poms for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-9.GA_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-9.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-9.GA_redhat_1.1
- Rebuild using cache signing

* Mon Jun 18 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-9.GA_redhat_1
- Build in MEAD

* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> - 0:1.0.2-8.GA_redhat_1
- Rebuild to normal tag: jb-eap-6-rhel-6

* Thu Apr 12 2012 Lin Gao <lgao@redhat.com> - 0:1.0.2-7.GA_redhat_1
- Add BuildRequires sun-istack-commons
- Add BuildRequires sun-txw2

* Tue Apr 10 2012 Lin Gao <lgao@redhat.com> - 0:1.0.2-6.GA_redhat_1
- Change dependency of javax.xml.bind:jaxb-api to org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-5.GA_redhat_1.1
- Rebuild using cache signing

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:1.0.3-5
- replace commons-logging by jcl-over-slf4j

* Thu Feb 02 2012 David Walluck <dwalluck@redhat.com> 0:1.0.3-4
- remove requires codehaus-stax11-api, jakarta-commons-logging-jboss
- remove requires glassfish-jaf, jbossws-spi, log4j
- only requires in pom are commons-beanutils, commons-logging
- add sources jar
- fix repolib option
- fix repolib ownership
- fix javadoc file list
- remove GCJ support
- fix file ownership in main pkg (don't own maven dirs)
- main javadoc packages require jpackage-utils
- remove extra maven build requires
- fix jar names and locations
- use real version in file and dir names
- fix maven call
- remove buildmagic repo

* Sat Oct 8 2011 Lin Gao <lgao@redhat.com> - 0:1.0.2-3.GA_redhat_1
- wolf build
- BR jboss-parent
- add jaxbintros-vman-pom.patch
- clean builds

* Fri May 27 2011 Yong Yang <yyang@redhat.com> - 0:1.0.2-2
- cp maven2-brew/* to repolib

* Wed May 25 2011 Yong Yang <yyang@redhat.com> - 0:1.0.2-1
- Upgrade to 1.0.2
- Build with maven

* Thu Jan 20 2011 Hui Wang <huwang@redhat.com> - 0:1.0.0-3
- Rebuild

* Fri Nov 19 2010 Hui Wang <huwang@redhat.com> - 0:1.0.0-2
- Fix %%files for signed jars
- Add upload.sh and content of maven2-brew to repolib

* Tue Jul 20 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.0-1.1.3.2
- Comment out R: junit

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-1.1.3.1
- rebuilt

* Tue Apr 20 2010 Luiz Barreiros <gbarreir@redhat.com> 0:1.0.0-1.1.3
- Rebuild

* Tue Feb 02 2010 Martha Benitez <mbenitez@redhat.com> 0:1.0.0-1.1.2
- Uncomment codehaus-stax11-api to provide javax.xml.stream classes
- Remove BR glassfish-jaxws

* Wed Jan 27 2010 Yiqiao Wang <yiwang.com> 0:1.0.0-1.1.1
- Disable aot Compiler 

* Fri Jul 10 2009 Permaine Cheung <pcheung@redhat.com> 0:1.0.0-1.1
- Add BR: glassfish-jaxws
- Update build-classpath commands
- Update patch

* Thu Jan 15 2009 David Walluck <dwalluck@redhat.com> 0:1.0.0-1
- 1.0.0.GA
- Comment out codehaus-stax11-api

* Fri Aug 22 2008 David Walluck <dwalluck@redhat.com> 0:1.0.0-0.beta2.1
- release
